## grequests 0.7.0

=== requirements.txt ===
requests
gevent
nose

=== debian/changelog ===
grequests (0.7.0-3) unstable; urgency=medium

  * Team upload.
  * Add a patch to replace Nose with Pytest.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 07 Aug 2024 12:32:12 +0200

grequests (0.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Wed, 09 Aug 2023 11:18:00 -0300

grequests (0.7.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1042774)

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Sun, 30 Jul 2023 09:17:39 -0300

=== debian/control ===
Source: grequests
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-setuptools,
               python3-all,
               python3-requests,
               python3-gevent,
               python3-pytest <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://github.com/spyoungtech/grequests
Vcs-Browser: https://salsa.debian.org/python-team/packages/grequests
Vcs-Git: https://salsa.debian.org/python-team/packages/grequests.git

Package: python3-grequests
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: asynchronous Web Scraping With Python (Python 3)
 This package allows you to use Requests with Gevent to make asynchronous HTTP
 Requests easily.
 .
 Simple but effective way to create multiple http requests in Python allowing
 to scrape faster.
 .
 The HTTP verb methods in grequests (e.g., grequests.get, grequests.post, etc.)
 accept all the same keyword arguments as in the requests library.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=grequests
export PYBUILD_BEFORE_TEST=cp -v tests.py {build_dir}/
export PYBUILD_AFTER_TEST=rm -v {build_dir}/tests.py
# most tests requires an internet connection and should be run with autopkgtest
export PYBUILD_TEST_ARGS=tests.py -k '    not test_callback_kwarg \
                                      and not test_calling_request \
                                      and not test_hooks \
                                      and not test_imap \
                                      and not test_map \
                                      and not test_map_timeout_exception_handler_no_return \
                                      and not test_map_timeout_exception_handler_returns_exception \
                                      and not test_map_timeout_no_exception_handler \
                                      and not test_session_and_cookies \
                                      and not test_stream_enabled \
                                    '

%:
	dh $@ --buildsystem=pybuild
